﻿/*
* Function	: イースターであるかどうかを
* Input		: dtm	Dateオブジェクト
* Return	: イースターの場合true
*/
function isEaster(dtm) {
	var year = dtm.getFullYear();
	e = getEaster(year);
	return ((year == e.getFullYear()) && (dtm.getMonth() == e.getMonth()) && (dtm.getDate() == e.getDate()))
}

/*
* Function	: イースターの日付を返す
* Input		: Y	年を4桁で
* Return	: イースターの日付のDateオブジェクト
*/
function getEaster(Y) {
	var C = Math.floor(Y/100);
	var N = Y - 19*Math.floor(Y/19);
	var K = Math.floor((C - 17)/25);
	var I = C - Math.floor(C/4) - Math.floor((C - K)/3) + 19*N + 15;
	I = I - 30*Math.floor((I/30));
	I = I - Math.floor(I/28)*(1 - Math.floor(I/28)*Math.floor(29/(I + 1))*Math.floor((21 - N)/11));
	var J = Y + Math.floor(Y/4) + I + 2 - C + Math.floor(C/4);
	J = J - 7*Math.floor(J/7);
	var L = I - J;
	var M = 3 + Math.floor((L + 40)/44);
	var D = L + 28 - 31*Math.floor(M/4);
	var dte = new Date(Y,M-1,D);

	return dte;
}
