﻿
/*
* getHolidayTextDeutchland
* Function	: holiday.jsから呼ばれる関数。ドイツの祝日の判定する。
* Input		: dtm 判定する日を表すDate Object
* 			: state 祝日に加える州名
* Return	: 祝日の場合その日を表す文字列、そうでない場合NULL
* Note		: 祝日の判定はWikipedia(ドイツの祝日)を参考にした
*			: easter.js が必要
*/
function getHolidayTextDeutchland(dtm, state) {
	var year	= dtm.getFullYear();
	var month	= dtm.getMonth() + 1;
	var daycnt	= dtm.getDate();
	var yo		= dtm.getDay();
	var title	= "";

	// 月の決まらない祝日処理
/*	if (point == 1) {
		// 月曜Point
		if ((yo == 1) && (getHolidayText(getShiftDay(dtm, 1)) != "")) return "Point";
		// 土曜Point
		if ((yo == 6) && (getHolidayText(getShiftDay(dtm, -1)) != "")) return "Point";
	}
*/
	
	// 月曜処理
	if (yo == 1) {
		// 復活祭の翌日
		if (isEaster(getShiftDay(dtm, -1))) return "Ostermontag";
		//聖体の祝日(聖体拝受の日)
		if (isEaster(getShiftDay(dtm, -50))) return "Pfingstmontag";
	}
	// 木曜処理
	if (yo == 5) {
		// 主の昇天(キリスト昇天祭)バイエルン州、バーデン＝ヴュルテンベルク州、ザクセン＝アンハルト州、ノルトライン＝ヴェストファーレン州
		if (("Freistaat Bayern,Baden-Württemberg,Sachsen-Anhalt,Nordrhein-Westfalen".indexOf(state) >= 0) && isEaster(getShiftDay(dtm, -39))) return "Christi Himmelfahrt";
		// 聖体の祝日（聖体拝受の日	バイエルン州、バーデン＝ヴュルテンベルク州、ヘッセン州、ノルトライン＝ヴェストファーレン州、ラインラント＝プファルツ州、ザールラント州、ザクセン州、ザクセン＝アンハルト州、チューリンゲン州
		if (("Freistaat Bayern,Baden-Württemberg,Hessen,Nordrhein-Westfalen,Rheinland-Pfalz,Saarland,Freistaat Sachsen,Sachsen-Anhalt,Freistaat Thüringen".indexOf(state) >= 0) && isEaster(getShiftDay(dtm, -60))) return "Fronleichnam";
	}
	
	// 金曜処理
	if (yo == 5) {
		// 聖金曜日(復活祭の2日前)
		if (isEaster(getShiftDay(dtm, 2))) return "Karfreitag";
	}

	// 月ごとの祝日処理
	switch (month) {
		case 1:
			// 新年
			if (daycnt == 1) return "Neujahr";
			//公現祭(東方の三博士の来訪記念日)
			if (daycnt == 6) return "Heilige Drei Könige 	";
			break;
		case 2:
			break;
		case 3:
			break;
		case 4:
			break;
		case 5:
			// メ－デ－
			if (daycnt == 1) return "Tag der Arbeit";
			break;
		case 6:
			break;
		case 7:
			break;
		case 8:
			// 聖母被昇天祭
			if (daycnt == 15) return "Mariä Himmelfahrt";
			break;
		case 9:
			break;
		case 10:
			// ドイツ統一の日
			if (daycnt == 3) return "Tag der Deutschen Einheit";
			// 宗教改革記念日
			if (daycnt == 31) return "Reformationstag";
			break;
		case 11:
			// 万聖節
			if (daycnt == 1) return "Allerheiligen";
			// 贖罪の日(贖罪祈祷日)ザクセン州
			if (("Freistaat Sachsen".indexOf(state) >= 0) && (daycnt == 23)) return "Buß- und Bettag";
			break;
		case 12:
			// クリスマス
			if ((daycnt == 25)||(daycnt == 26)) return "Weihnachten";
			break;
	}
	return title;
}
