﻿
/*
* getHolidayTextFrance
* Function	: holiday.jsから呼ばれる関数。フランスの祝日の判定する。
* Input		: dtm 判定する日を表すDate Object
* 			: point	1の場合Pint (祝日と休日に挟まれた日)を祝日扱いする。
* Return	: 祝日の場合その日を表す文字列、そうでない場合NULL
* Note		: easter.js が必要
*/
function getHolidayTextFrance(dtm, point) {
	var year	= dtm.getFullYear();
	var month	= dtm.getMonth() + 1;
	var daycnt	= dtm.getDate();
	var yo		= dtm.getDay();
	var title	= "";

	// 月の決まらない祝日処理
	if (point == 1) {
		// 月曜Point
		if ((yo == 1) && (getHolidayText(getShiftDay(dtm, 1)) != "")) return "Point";
		// 土曜Point
		if ((yo == 6) && (getHolidayText(getShiftDay(dtm, -1)) != "")) return "Point";
	}
	
	// 復活祭
	if (isEaster(dtm)) return "Pâques";
	// 月曜処理
	if (yo == 1) {
		// 復活祭の翌日
		if (isEaster(getShiftDay(dtm, -1))) return "Lundi de Pâques";
		//聖霊降臨祭
		if (isEaster(getShiftDay(dtm, -50))) return "Pentecôte";
	}
	// 金曜処理
	if (yo == 5) {
		// 昇天祭
		if (isEaster(getShiftDay(dtm, -40))) return "Ascension";
	}

	// 月ごとの祝日処理
	switch (month) {
		case 1:
			// 新年
			if (daycnt == 1) return "Jour de l'An";
			break;
		case 2:
			break;
		case 3:
			break;
		case 4:
			break;
		case 5:
			// メ－デ－
			if (daycnt == 1) return "Fête du Travail";
			// 戦勝記念日
			if (daycnt == 8) return "Commemoration de l'armistice de 1945";
			break;
		case 6:
			break;
		case 7:
			// 国家記念日
			if (daycnt == 14) return "Le Quatorze Juillet";
			break;
		case 8:
			// 聖母被昇天祭
			if (daycnt == 15) return "Assomption";
			break;
		case 9:
			break;
		case 10:
			break;
		case 11:
			// 万聖節
			if (daycnt == 1) return "Toussaint";
			// 休戦記念日
			if (daycnt == 11) return "Commemoration de l'armistice de 1918";
			break;
		case 12:
			// クリスマス
			if (daycnt == 25) return "Noël";
			break;
	}
	return title;
}
