﻿
/*
* getHolidayTextTaiwan
* Function	: holiday.jsから呼ばれる関数。台湾の祝日の判定する。
* Input		: dtm 判定する日を表すDate Object
*			: chosei 1の場合調整休日 (祝日と休日に挟まれた日)を祝日扱いする。
* Return	: Wikipedia日本語版で祝日もしくは休日と書かれているもの場合その日を表す文字列、
*			: そうでない場合NULL
* Note		: qreki.jsが必要。
*/
function getHolidayTextTaiwan(dtm, chosei) {
	var year	= dtm.getFullYear();
	var month	= dtm.getMonth() + 1;
	var daycnt	= dtm.getDate();
	var yo		= dtm.getDay();
	var title	= "";
	
	// 太陰暦による祝日
	//	大晦日
	var kr = new kyureki(getShiftDay(dtm, 1).getJD());
	if ((kr.month == 1) && (kr.day == 1)) return "除夕(旧暦12月末日)";
	// 旧正月。3日までの3日間休日。
	kr = new kyureki(dtm.getJD());
	if ((kr.month == 1) && (kr.day == 2)) return "春節(旧暦1月2日)";
	// 旧正月。3日までの3日間休日。
	if ((kr.month == 1) && (kr.day == 3)) return "春節(旧暦1月3日)";
	// 旧正月。3日までの3日間休日。
	if ((kr.month == 1) && (kr.day == 1)) return "春節(旧暦1月1日)";
	// 	古代中国の詩人・屈原が入水自殺した日
	if ((kr.month == 5) && (kr.day == 5)) return "端午節(旧暦5月5日)";
	// 	月餅を食べながら月を鑑賞する伝統的な節日
	if ((kr.month == 8) && (kr.day == 15)) return "	中元節(旧暦8月15日)";

	// 太陽暦による祝日
	// 1912年の中華民国建国を記念する日
	if ((month == 1) && (daycnt == 1)) return "中華民國開國紀念日";
	// 二二八事件が起きた日
	if ((month == 2) && (daycnt == 28)) return "和平紀念日";
	// 家族全員で祖先を祀る伝統的な節日
	if ((month == 4) && (daycnt == 5)) return "清明節";
	// いわゆるメーデー。労働者のみ祝日
	if ((month == 5) && (daycnt == 1)) return "國際勞動節";
	// 辛亥革命の記念日。10が重なる日であることから雙十節という
	if ((month == 10) && (daycnt == 10)) return "雙十節";

	// 調整休日
//	if (chosei != 1) return title; 
	// 月曜
	if ((yo == 1) && (getHolidayText(getShiftDay(dtm, 1)) != "")) return "調整";
	// 金曜
	if ((yo == 5) && (getHolidayText(getShiftDay(dtm, -1)) != "")) return "調整";
	return title;
}
